/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2010 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.orchestra.designer.view.palette.bpmn {
import org.ow2.orchestra.designer.view.palette.AbstractElementPalette;

/**
 * This class represent the aspect of the gateway into the palette
 */
public class GatewayPaletteView extends AbstractElementPalette {

  /**
   * The source for "gateway" image data binding into the palette.
   */
  [Bindable]
  [Embed(source="/../assets/palette/gatewayDefault.svg")]
  public var defaultImgGateway:Class;


  public function GatewayPaletteView(parentPalette:BpmnPalette) {
    super(defaultImgGateway, "Gateway", parentPalette);
  }

}
}
